summaryrefslogtreecommitdiff
path: root/testsuite/tests/module/convert-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/tests/module/convert-tests.sh')
-rw-r--r--testsuite/tests/module/convert-tests.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/testsuite/tests/module/convert-tests.sh b/testsuite/tests/module/convert-tests.sh
new file mode 100644
index 0000000000..d4053472ac
--- /dev/null
+++ b/testsuite/tests/module/convert-tests.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+# something like this...
+for i in mod*.hs; do
+ if ! test -f ${i%.hs}.output; then
+ echo "test('${i%.hs}', normal, compile, [''])"
+ else if grep error ${i%.hs}.output >/dev/null; then
+ echo "test('${i%.hs}', normal, compile_fail, [''])"
+ else
+ echo "test('${i%.hs}', normal, compile, [''])"
+ fi fi
+done